diff -r 11a8c8e0ad14 -r fade650e869d doc/interpreter/strings.txi
--- a/doc/interpreter/strings.txi	Tue Mar 30 21:57:59 2021 +0200
+++ b/doc/interpreter/strings.txi	Tue Mar 30 22:08:44 2021 +0200
@@ -60,7 +60,7 @@
 The function @code{blanks} creates a string of a given length consisting only
 of blank characters (ASCII code 32).
 
-@DOCSTRING(blanks)
+@ref{XREFblanks, , @code{blanks}}: Return a string of N blanks.
 
 @menu
 * Escape Sequences in String Constants::
@@ -153,9 +153,9 @@
 In scripts the two different string types can be distinguished if necessary
 by using @code{is_dq_string} and @code{is_sq_string}.
 
-@DOCSTRING(is_dq_string)
+@ref{XREFis_dq_string, , @code{is_dq_string}}: Return true if X is a double-quoted character string.
 
-@DOCSTRING(is_sq_string)
+@ref{XREFis_sq_string, , @code{is_sq_string}}: Return true if X is a single-quoted character string.
 
 @node Character Arrays
 @section Character Arrays
@@ -182,9 +182,9 @@
 The function @code{ischar} can be used to test if an object is a character
 matrix.
 
-@DOCSTRING(ischar)
+@ref{XREFischar, , @code{ischar}}: Return true if X is a character array.
 
-@DOCSTRING(isstring)
+@ref{XREFisstring, , @code{isstring}}: Return true if S is a string array.
 
 To test if an object is a string (i.e., a @nospell{1xN} row vector of
 characters and not a character matrix) you can use the @code{ischar} function
@@ -209,12 +209,14 @@
 string.  It is possible to use a different character than the
 blank character using the @code{string_fill_char} function.
 
-@DOCSTRING(string_fill_char)
+@ref{XREFstring_fill_char, , @code{string_fill_char}}: Query or set the internal variable used to pad all rows of a character
+matrix...
 
 Another useful function to control the text justification in this case is
 the @code{strjust} function.
 
-@DOCSTRING(strjust)
+@ref{XREFstrjust, , @code{strjust}}: Return the text, S, justified according to POS, which may be "left",
+"center"...
 
 This shows a problem with character matrices.  It simply isn't possible to
 represent strings of different lengths.  The solution is to use a cell array of
@@ -254,21 +256,23 @@
 
 The following functions are useful to perform common String operations.
 
-@DOCSTRING(tolower)
-
-@DOCSTRING(toupper)
+@ref{XREFtolower, , @code{tolower}}: Return a copy of the string or cell string S, with each uppercase
+character r...
 
-@DOCSTRING(deblank)
+@ref{XREFtoupper, , @code{toupper}}: Return a copy of the string or cell string S, with each lowercase
+character r...
 
-@DOCSTRING(strtrim)
+@ref{XREFdeblank, , @code{deblank}}: Remove trailing whitespace and nulls from S.
 
-@DOCSTRING(strtrunc)
+@ref{XREFstrtrim, , @code{strtrim}}: Remove leading and trailing whitespace from S.
 
-@DOCSTRING(untabify)
+@ref{XREFstrtrunc, , @code{strtrunc}}: Truncate the character string S to length N.
 
-@DOCSTRING(do_string_escapes)
+@ref{XREFuntabify, , @code{untabify}}: Replace TAB characters in T with spaces.
 
-@DOCSTRING(undo_string_escapes)
+@ref{XREFdo_string_escapes, , @code{do_string_escapes}}: Convert escape sequences in STRING to the characters they represent.
+
+@ref{XREFundo_string_escapes, , @code{undo_string_escapes}}: Convert special characters in strings back to their escaped forms.
 
 @node Concatenating Strings
 @subsection Concatenating Strings
@@ -294,7 +298,7 @@
 The @code{newline} function can be used to join strings such that they appear
 as multiple lines of text when displayed.
 
-@DOCSTRING(newline)
+@ref{XREFnewline, , @code{newline}}: Return the character corresponding to a newline.
 
 In addition, there are several other functions for concatenating string
 objects which can be useful in specific circumstances: @code{char},
@@ -405,26 +409,33 @@
 (@pxref{Character Arrays}).
 @end itemize
 
-@DOCSTRING(char)
-
-@DOCSTRING(strvcat)
+@ref{XREFchar, , @code{char}}: Create a string array from one or more numeric matrices, character
+matrices, ...
 
-@DOCSTRING(strcat)
+@ref{XREFstrvcat, , @code{strvcat}}: Create a character array from one or more numeric matrices, character
+matrice...
 
-@DOCSTRING(cstrcat)
+@ref{XREFstrcat, , @code{strcat}}: Return a string containing all the arguments concatenated horizontally.
+
+@ref{XREFcstrcat, , @code{cstrcat}}: Return a string containing all the arguments concatenated horizontally
+with t...
 
 @node Splitting and Joining Strings
 @subsection Splitting and Joining Strings
 
-@DOCSTRING(substr)
+@ref{XREFsubstr, , @code{substr}}: Return the substring of S which starts at character number OFFSET and is
+LEN ...
 
-@DOCSTRING(strtok)
+@ref{XREFstrtok, , @code{strtok}}: Find all characters in the string STR up to, but not including, the
+first cha...
 
-@DOCSTRING(strsplit)
+@ref{XREFstrsplit, , @code{strsplit}}: Split the string STR using the delimiters specified by DEL and return a
+cell ...
 
-@DOCSTRING(ostrsplit)
+@ref{XREFostrsplit, , @code{ostrsplit}}: Split the string S using one or more separators SEP and return a cell
+array o...
 
-@DOCSTRING(strjoin)
+@ref{XREFstrjoin, , @code{strjoin}}: Join the elements of the cell string array, CSTR, into a single string.
 
 @node Searching in Strings
 @subsection Searching in Strings
@@ -447,49 +458,60 @@
 @code{N} given as a parameter).  @code{strcmpi} and @code{strncmpi} are the
 corresponding functions for case-insensitive comparison.
 
-@DOCSTRING(strcmp)
+@ref{XREFstrcmp, , @code{strcmp}}: Return 1 if the character strings S1 and S2 are the same, and 0
+otherwise.
 
-@DOCSTRING(strncmp)
+@ref{XREFstrncmp, , @code{strncmp}}: Return 1 if the first N characters of strings S1 and S2 are the same,
+and 0 o...
 
-@DOCSTRING(strcmpi)
+@ref{XREFstrcmpi, , @code{strcmpi}}: Return 1 if the character strings S1 and S2 are the same, disregarding
+case o...
 
-@DOCSTRING(strncmpi)
+@ref{XREFstrncmpi, , @code{strncmpi}}: Return 1 if the first N character of S1 and S2 are the same,
+disregarding cas...
 
 Despite those comparison functions, there are more specialized function to
 find the index position of a search pattern within a string.
 
-@DOCSTRING(startsWith)
+@ref{XREFstartsWith, , @code{startsWith}}: Check whether string(s) start with pattern(s).
 
-@DOCSTRING(endsWith)
+@ref{XREFendsWith, , @code{endsWith}}: Check whether string(s) end with pattern(s).
+
+@ref{XREFfindstr, , @code{findstr}}: This function is obsolete.
 
-@DOCSTRING(findstr)
+@ref{XREFstrchr, , @code{strchr}}: Search through the string STR for occurrences of characters from the set
+CHARS.
 
-@DOCSTRING(strchr)
+@ref{XREFindex, , @code{index}}: Return the position of the first occurrence of the string T in the
+string S, ...
 
-@DOCSTRING(index)
+@ref{XREFrindex, , @code{rindex}}: Return the position of the last occurrence of the character string T in
+the c...
 
-@DOCSTRING(rindex)
+@ref{XREFunicode_idx, , @code{unicode_idx}}: Return an array with the indices for each UTF-8 encoded character in
+STR.
 
-@DOCSTRING(unicode_idx)
+@ref{XREFstrfind, , @code{strfind}}: Search for PATTERN in the string STR and return the starting index of
+every s...
 
-@DOCSTRING(strfind)
-
-@DOCSTRING(strmatch)
+@ref{XREFstrmatch, , @code{strmatch}}: This function is obsolete.  *Use an alternative* such as 'strncmp' or
+'strcmp...
 
 @node Searching and Replacing in Strings
 @subsection Searching and Replacing in Strings
 
-@DOCSTRING(strrep)
+@ref{XREFstrrep, , @code{strrep}}: Replace all occurrences of the pattern PTN in the string STR with the
+string ...
 
-@DOCSTRING(erase)
-
-@DOCSTRING(regexp)
+@ref{XREFerase, , @code{erase}}: Delete all occurrences of PTN within STR.
 
-@DOCSTRING(regexpi)
+@ref{XREFregexp, , @code{regexp}}: Regular expression string matching.
+
+@ref{XREFregexpi, , @code{regexpi}}: Case insensitive regular expression string matching.
 
-@DOCSTRING(regexprep)
+@ref{XREFregexprep, , @code{regexprep}}: Replace occurrences of pattern PAT in STRING with REPSTR.
 
-@DOCSTRING(regexptranslate)
+@ref{XREFregexptranslate, , @code{regexptranslate}}: Translate a string for use in a regular expression.
 
 @node Converting Strings
 @section Converting Strings
@@ -505,9 +527,9 @@
 @node String encoding
 @subsection String encoding
 
-@DOCSTRING(unicode2native)
+@ref{XREFunicode2native, , @code{unicode2native}}: Convert UTF-8 string UTF8_STR to byte stream using CODEPAGE.
 
-@DOCSTRING(native2unicode)
+@ref{XREFnative2unicode, , @code{native2unicode}}: Convert byte stream NATIVE_BYTES to UTF-8 using CODEPAGE.
 
 @node Numerical Data and Strings
 @subsection Numerical Data and Strings
@@ -521,33 +543,41 @@
 numerical data as strings is the @code{sprintf} function
 (@pxref{Formatted Output}, @ref{XREFsprintf,,sprintf}).
 
-@DOCSTRING(mat2str)
+@ref{XREFmat2str, , @code{mat2str}}: Format real, complex, and logical matrices as strings.
 
-@DOCSTRING(num2str)
+@ref{XREFnum2str, , @code{num2str}}: Convert a number (or array) to a string (or a character array).
 
-@DOCSTRING(int2str)
+@ref{XREFint2str, , @code{int2str}}: Convert an integer (or array of integers) to a string (or a character
+array).
 
-@DOCSTRING(str2double)
+@ref{XREFstr2double, , @code{str2double}}: Convert a string to a real or complex number.
 
-@DOCSTRING(str2num)
+@ref{XREFstr2num, , @code{str2num}}: Convert the string (or character array) S to a number (or an array).
 
-@DOCSTRING(bin2dec)
+@ref{XREFbin2dec, , @code{bin2dec}}: Return the decimal number corresponding to the binary number represented
+by t...
 
-@DOCSTRING(dec2bin)
+@ref{XREFdec2bin, , @code{dec2bin}}: Return a string of ones and zeros representing the conversion of the
+integer ...
 
-@DOCSTRING(dec2hex)
+@ref{XREFdec2hex, , @code{dec2hex}}: Return a string representing the conversion of the integer D to a
+hexadecimal...
 
-@DOCSTRING(hex2dec)
+@ref{XREFhex2dec, , @code{hex2dec}}: Return the integer corresponding to the hexadecimal number represented
+by the...
 
-@DOCSTRING(dec2base)
+@ref{XREFdec2base, , @code{dec2base}}: Return a string of symbols in base BASE corresponding to the
+non-negative int...
 
-@DOCSTRING(base2dec)
+@ref{XREFbase2dec, , @code{base2dec}}: Convert S from a string of digits in base BASE to a decimal integer
+(base 10).
 
-@DOCSTRING(num2hex)
+@ref{XREFnum2hex, , @code{num2hex}}: Convert a numeric array to an array of hexadecimal strings.
 
-@DOCSTRING(hex2num)
+@ref{XREFhex2num, , @code{hex2num}}: Typecast a hexadecimal character array or cell array of strings to an
+array o...
 
-@DOCSTRING(strread)
+@ref{XREFstrread, , @code{strread}}: This function is obsolete.
 
 @node JSON data encoding/decoding
 @subsection JSON data encoding/decoding
@@ -556,9 +586,9 @@
 and structured data format.  GNU Octave supports encoding and decoding this
 format with the following two functions.
 
-@DOCSTRING(jsonencode)
+@ref{XREFjsonencode, , @code{jsonencode}}: Encode Octave data types into JSON text.
 
-@DOCSTRING(jsondecode)
+@ref{XREFjsondecode, , @code{jsondecode}}: Decode text that is formatted in JSON.
 
 @node Character Class Functions
 @section Character Class Functions
@@ -576,30 +606,43 @@
 @end group
 @end example
 
-@DOCSTRING(isalnum)
+@ref{XREFisalnum, , @code{isalnum}}: Return a logical array which is true where the elements of S are letters
+or d...
 
-@DOCSTRING(isalpha)
+@ref{XREFisalpha, , @code{isalpha}}: Return a logical array which is true where the elements of S are letters
+and ...
 
-@DOCSTRING(isletter)
+@ref{XREFisletter, , @code{isletter}}: Return a logical array which is true where the elements of S are letters
+and ...
 
-@DOCSTRING(islower)
-
-@DOCSTRING(isupper)
+@ref{XREFislower, , @code{islower}}: Return a logical array which is true where the elements of S are
+lowercase le...
 
-@DOCSTRING(isdigit)
+@ref{XREFisupper, , @code{isupper}}: Return a logical array which is true where the elements of S are
+uppercase le...
 
-@DOCSTRING(isxdigit)
+@ref{XREFisdigit, , @code{isdigit}}: Return a logical array which is true where the elements of S are decimal
+digi...
 
-@DOCSTRING(ispunct)
+@ref{XREFisxdigit, , @code{isxdigit}}: Return a logical array which is true where the elements of S are
+hexadecimal ...
 
-@DOCSTRING(isspace)
+@ref{XREFispunct, , @code{ispunct}}: Return a logical array which is true where the elements of S are
+punctuation ...
 
-@DOCSTRING(iscntrl)
+@ref{XREFisspace, , @code{isspace}}: Return a logical array which is true where the elements of S are
+whitespace c...
 
-@DOCSTRING(isgraph)
+@ref{XREFiscntrl, , @code{iscntrl}}: Return a logical array which is true where the elements of S are control
+char...
 
-@DOCSTRING(isprint)
+@ref{XREFisgraph, , @code{isgraph}}: Return a logical array which is true where the elements of S are
+printable ch...
 
-@DOCSTRING(isascii)
+@ref{XREFisprint, , @code{isprint}}: Return a logical array which is true where the elements of S are
+printable ch...
 
-@DOCSTRING(isstrprop)
+@ref{XREFisascii, , @code{isascii}}: Return a logical array which is true where the elements of S are ASCII
+charac...
+
+@ref{XREFisstrprop, , @code{isstrprop}}: Test character string properties.
